local function postSetUnitAura(self, func, unit, index, filter)
	local src = select(8, func(unit, index, filter))
	if src then
		self:AddLine(" ")
		self:AddLine(UnitName(src))
		self:Show()
	end
end

GameTooltip.OldSetUnitAura = GameTooltip.SetUnitAura

function GameTooltip:SetUnitAura(unit, index, filter, ...)
	self:OldSetUnitAura(unit, index, filter, ...)
	postSetUnitAura(self, UnitAura, unit, index, filter)
end


GameTooltip.OldSetUnitBuff = GameTooltip.SetUnitBuff

function GameTooltip:SetUnitBuff(unit, index, filter, ...)
	self:OldSetUnitBuff(unit, index, filter, ...)
	postSetUnitAura(self, UnitBuff, unit, index, filter)
end


GameTooltip.OldSetUnitDebuff = GameTooltip.SetUnitDebuff

function GameTooltip:SetUnitDebuff(unit, index, filter, ...)
	self:OldSetUnitDebuff(unit, index, filter, ...)
	postSetUnitAura(self, UnitDebuff, unit, index, filter)
end